%define upstream_name    Padre-Plugin-Autoformat
%define upstream_version 1.22

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Reformat your text within Padre
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Padre/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build::Compat)
BuildRequires: perl(Module::Util)
BuildRequires: perl(Padre)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Autoformat)

BuildArch: noarch


%description
This plugin allows one to reformat her text automatically with
Ctrl+Shift+J. It is using 'Text::Autoformat' underneath, so check this
module's pod for more information.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc LICENSE README Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.220.0-11.mga10
+ Revision: 2213843
- Mageia 10 Mass Rebuild

* Sat Apr 02 2022 umeabot <umeabot> 1.220.0-10.mga9
+ Revision: 1840171
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.220.0-9.mga8
+ Revision: 1496236
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.220.0-8.mga7
+ Revision: 1270235
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.220.0-7.mga6
+ Revision: 1031609
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 1.220.0-6.mga6
+ Revision: 935010
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.220.0-5.mga5
+ Revision: 743463
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.220.0-3.mga4
+ Revision: 513873
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.220.0-2.mga3
+ Revision: 371387
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 1.220.0-1.mga1
+ Revision: 37590
- mageia rebuild
- imported package perl-Padre-Plugin-Autoformat

